// DO NOT EDIT. This file is generated by Fresh.
// This file SHOULD be checked into source version control.
// This file is automatically updated during development when running `dev.ts`.

import * as $_app from "./routes/_app.tsx";
import * as $api_dns_check_subdomain_ from "./routes/api/dns/check/[subdomain].ts";
import * as $api_dns_create from "./routes/api/dns/create.ts";
import * as $api_dns_find from "./routes/api/dns/find.ts";
import * as $api_dns_getInfo from "./routes/api/dns/getInfo.ts";
import * as $api_dns_records_id_ from "./routes/api/dns/records/[id].ts";
import * as $api_ip from "./routes/api/ip.ts";
import * as $index from "./routes/index.tsx";
import * as $submit from "./routes/submit.tsx";
import * as $SubDomainInput from "./islands/SubDomainInput.tsx";
import * as $ValidatedInput from "./islands/ValidatedInput.tsx";
import { type Manifest } from "$fresh/server.ts";

const manifest = {
  routes: {
    "./routes/_app.tsx": $_app,
    "./routes/api/dns/check/[subdomain].ts": $api_dns_check_subdomain_,
    "./routes/api/dns/create.ts": $api_dns_create,
    "./routes/api/dns/find.ts": $api_dns_find,
    "./routes/api/dns/getInfo.ts": $api_dns_getInfo,
    "./routes/api/dns/records/[id].ts": $api_dns_records_id_,
    "./routes/api/ip.ts": $api_ip,
    "./routes/index.tsx": $index,
    "./routes/submit.tsx": $submit,
  },
  islands: {
    "./islands/SubDomainInput.tsx": $SubDomainInput,
    "./islands/ValidatedInput.tsx": $ValidatedInput,
  },
  baseUrl: import.meta.url,
} satisfies Manifest;

export default manifest;
